ActionMappingFactory (Apache Struts API Documentation)
Keywords: org.apache.struts.config.ActionMappingFactory,ActionMappingFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class ActionMappingFactory

    java.lang.Object
      |
      +--org.apache.commons.digester.AbstractObjectCreationFactory
            |
            +--org.apache.struts.config.ActionMappingFactory

All Implemented Interfaces:
  org.apache.commons.digester.ObjectCreationFactory

final class ActionMappingFactory
extends org.apache.commons.digester.AbstractObjectCreationFactory

An object creation factory which creates action mapping instances, taking into account the default class name, which may have been specified on the parent element and which is made available through the object on the top of the stack, which must be a `org.apache.struts.config.ModuleConfig`.

Field Summary

Fields inherited from class org.apache.commons.digester.AbstractObjectCreationFactory
`digester`

Constructor Summary
`(package private)` | `ActionMappingFactory()`

Method Summary
`java.lang.Object` | `createObject(org.xml.sax.Attributes attributes)`

Methods inherited from class org.apache.commons.digester.AbstractObjectCreationFactory
`getDigester, setDigester`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionMappingFactory

    ActionMappingFactory()

Method Detail

### createObject

    public java.lang.Object createObject(org.xml.sax.Attributes attributes)

  Specified by:
    `createObject` in interface `org.apache.commons.digester.ObjectCreationFactory`
  Specified by:
    `createObject` in class `org.apache.commons.digester.AbstractObjectCreationFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation